<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@8073=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pw@84C1=0000</action>
    </script>
  </cheat>

  <cheat desc="Infinite Fuel">
    <script state="run">
      <action>maincpu.pb@8492=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Gasoline">
    <script state="run">
      <action>maincpu.pw@8110=9999</action>
    </script>
  </cheat>

  <cheat desc="Always on Final Lap">
    <script state="run">
      <action>maincpu.pb@84F6=0A</action>
    </script>
  </cheat>

  <cheat desc="Goal Now!">
    <script state="on">
      <action>maincpu.pb@8190=01</action>
    </script>
  </cheat>

  <cheat desc="Retire Now!">
    <script state="on">
      <action>maincpu.pb@8192=01</action>
    </script>
  </cheat>

  <cheat desc="Run Out Of Road"> <comment>This cheat is incomplete as you can still suddenly retire and the retire cheat has ne effect</comment>
    <script state="run">
      <action>maincpu.pb@8442=00</action>
    </script>
  </cheat>

  <cheat desc="See the Dip Switch Menu to enable Invincibility."/>
  <cheat desc=" "/>

  <cheat desc="Select Course PL1">
    <parameter min="1" max="256" step="1"/>
    <script state="run">
      <action>maincpu.pb@8201=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select Trial PL1">
    <parameter min="1" max="4" step="1"/>
    <script state="run">
      <action>maincpu.pb@8202=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select Course PL2">
    <parameter min="1" max="256" step="1"/>
    <script state="run">
      <action>maincpu.pb@8101=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select Trial PL2">
    <parameter min="1" max="4" step="1"/>
    <script state="run">
      <action>maincpu.pb@8102=(param-1)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
